# Argos monitoring

A monitoring and status board for websites.
Test how your websites respond to external checks, get notified when something goes wrong.

## Features

- **Server-Agent architecture**: The server is responsible for storing the configuration and the results of the checks. The agent is responsible for running the checks and sending the results to the server.
- **Extensibility**: New checks can be added using python.
- A **Website** allows to navigate the results of the checks.
- **HTTP API**: An HTTP API is exposed to get the results of the checks.


![Argos web interface](capture.png)

## Installation

```{code-block} bash
pip install argos-monitoring
argos server start
argos agent http://localhost:8000 "<auth-token>"
```

```{literalinclude} ../config-example.yaml
---
caption: config.yaml
---
```

## Next

::::{grid} 2
:::{grid-item-card}  Getting started
:link: installation/getting-started.html
The best way to get started with argos.
:::
:::{grid-item-card}  Developper docs
:link: developer/overview.html
You want to know more about the internals ?.
:::
::::


```{toctree}
:caption: Getting started
:hidden:

installation/getting-started
installation/postgresql
cli
api
```

```{toctree}
:caption: Configuration
:hidden:
configuration
checks
```

```{toctree}
:caption: Developer docs
:hidden:
developer/overview
developer/new-check
developer/models
developer/projects
changelog
```

```{toctree}
:caption: Deployment
:hidden:
deployment/systemd
```

